The aRts Handbook
Prev | Chapter 2. aRts Tools | Next

# 2.2. artsd

Access to the sound hardware resources is controlled by artsd, the aRts daemon. This allows different applications to simultaneously send requests to the server, where they can be mixed together and played. Without a centralized sound server a single application using a sound device would prevent other applications from using it.

To use aRts there should be one and only one copy of artsd running. It is typically run when KDE: starts up if it is enabled in the KDE Control Center Sound Server panel.

The program accepts the following arguments:

artsd [`-n``-p``-u`] [`-a `audiomethod```-r `sampling rate```-b `bits```-d``-D `devicename```-F `fragments```-S `size``] [`-h``-A``-l `level``]

`-r `sampling rate``

  Set sampling rate to use.

`-h`

  Display command usage.

-n

  Enable network transparency.

`-p `port``

  Set TCP port to use (implies `-n`).

`-u`

  Public, no authentication (dangerous).

`-d`

  Enable full duplex operation.

`-D `device name``

  Specify audio device (usually `/dev/dsp`).

`-F `fragments``

  Set number of fragments.

`-S `size``

  Set fragment size, in bytes.

`-l `level``

  Set information level - 3 (quiet), 2 (warnings), 1 (info), 0 (debug).

In most cases simply running artsd will suffice.

Prev | Home | Next
aRts Tools | Up | artswrapper